"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = hasRepo;
async function hasRepo(config) {
    var _a;
    try {
        const gitRemotesCmd = await config.utils.run('git', ['remote']);
        return gitRemotesCmd.stdout.length !== 0;
    }
    catch (error) {
        if ((_a = error === null || error === void 0 ? void 0 : error.message) === null || _a === void 0 ? void 0 : _a.includes('not a git repository')) {
            return false;
        }
        console.error('Has repo check error', error);
        return true;
    }
}
