"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const config_js_1 = require("./config.js");
const has_repo_js_1 = __importDefault(require("./has_repo.js"));
const server_js_1 = require("./server.js");
module.exports = {
    onPreDev: async (config) => {
        const { port } = await (0, server_js_1.createServer)({
            config,
            serverPort: config_js_1.DEFAULT_SERVER_PORT,
            targetPort: config_js_1.DEFAULT_TARGET_PORT,
            hasRepo: await (0, has_repo_js_1.default)(config),
        });
        // eslint-disable-next-line no-param-reassign
        config.netlifyConfig.redirects = [
            {
                from: `${config_js_1.API_PATH}/*`,
                to: `http://localhost:${port}/:splat`,
                status: 200,
                headers: {
                    'x-nf-hidden-proxy': 'true',
                },
            },
            ...(config.netlifyConfig.redirects || []),
        ];
    },
};
